/*******************************************************************************
 * OnlineFriendInterface generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
interface OnlineFriendInterface extends Interface
    abstract;

function bool SearchForPlayer(string SearchName, optional bool bMatchExact)
{
    //return ReturnValue;    
}

delegate OnPlayerSearchComplete(array<PlayerNameIdPair> ReturnedNames)
{
    //return;    
}

function AddOnPlayerSearchComplete(delegate<OnPlayerSearchComplete> OPSCDel)
{
    //return;    
}

function ClearOnPlayerSearchComplete(delegate<OnPlayerSearchComplete> OPSCDel)
{
    //return;    
}

function bool GetUniqueIdOfPlayerByName(string PlayerName)
{
    //return ReturnValue;    
}

delegate OnGetUniqueIdOfPlayerComplete(bool bSuccess, const UniqueNetId ResultId)
{
    //return;    
}

function AddOnGetUniqueIdOfPlayerCompleteDelegate(delegate<OnGetUniqueIdOfPlayerComplete> InDelegate)
{
    //return;    
}

function ClearOnGetUniqueIdOfPlayerCompleteDelegate(delegate<OnGetUniqueIdOfPlayerComplete> InDelegate)
{
    //return;    
}

delegate OnFriendInfoChanged(OnlineFriend OldFriendInfo, OnlineFriend NewFriendInfo)
{
    //return;    
}

function AddOnFriendInfoChangedDelegate(delegate<OnFriendInfoChanged> InDelegate)
{
    //return;    
}

function ClearOnFriendInfoChangedDelegate(delegate<OnFriendInfoChanged> InDelegate)
{
    //return;    
}

function UpdateOnlineStatus(int StatusID, string PresenceContext)
{
    //return;    
}
